public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/rdflib/
Date: Mon, 28 Oct 2024 16:24:34 +0000 (UTC)	[thread overview]
Message-ID: <1730132288.3c8af11f2acf45598ff000ae3ef8ce1bf01f93fa.mgorny@gentoo> (raw)

commit:     3c8af11f2acf45598ff000ae3ef8ce1bf01f93fa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 28 16:18:08 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 28 16:18:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c8af11f

dev-python/rdflib: Bump to 7.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/rdflib/Manifest            |  1 +
 dev-python/rdflib/rdflib-7.1.1.ebuild | 70 +++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/rdflib/Manifest b/dev-python/rdflib/Manifest
index c744ec49e63a..671153f0eb17 100644
--- a/dev-python/rdflib/Manifest
+++ b/dev-python/rdflib/Manifest
@@ -1,2 +1,3 @@
 DIST rdflib-7.0.0.tar.gz 4765796 BLAKE2B 60ca36160f4f6588892853adde9dd4b795e549cc7fd52127cf1e50de3853b25b3a333cabd584ccf22827cb6f89d215d225c4ba767d0775feeefb481e4b1ed93b SHA512 56d110ab24c74c6ddb2e75320f60a82b4945e6ea1ce9d10ad4ae53d44c679b35826e3d7406e7d0e321ef9b042d32d2ba327a6dbd5c2c1780f552131d80c09445
 DIST rdflib-7.1.0.tar.gz 4863439 BLAKE2B 0f06d272a6b8b0d9356fe8fd67e9df5c1ceb0d9e102a9e954edc17ee3633f45e61520a9db3598777420f501dbb9e63085249211466fc8412d23986ee2b585c7e SHA512 40a3afba52161c2e642a0770d88b08d5bfd6d84325757cef13ad5dc620bcc7f13395c4a51e32b44db56b54568893af44f51b723ceebae1cc089e99b7e0e93c25
+DIST rdflib-7.1.1.tar.gz 4864216 BLAKE2B b583e6f9afab95fc0818c4f11740ab8cab540b774a3db15fc8be7b836149f40af6eb445a61b61e020c55f9b561c17f5019275070272449bd4ea25827e4925e39 SHA512 6eafaebfb604446399b214496aabc91fe0c689e9b35d5637de35a5d9784a1acb9d727c7ad5eebe8700d0be2b1e54b3d51cd3fe723a2a6cbd38f0e259d42bc2c5

diff --git a/dev-python/rdflib/rdflib-7.1.1.ebuild b/dev-python/rdflib/rdflib-7.1.1.ebuild
new file mode 100644
index 000000000000..5f275b02f557
--- /dev/null
+++ b/dev-python/rdflib/rdflib-7.1.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="sqlite?,threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="RDF library containing a triple store and parser/serializer"
+HOMEPAGE="
+	https://github.com/RDFLib/rdflib/
+	https://pypi.org/project/rdflib/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples sqlite"
+
+RDEPEND="
+	<dev-python/isodate-1[${PYTHON_USEDEP}]
+	>=dev-python/isodate-0.7.2[${PYTHON_USEDEP}]
+	dev-python/html5lib[${PYTHON_USEDEP}]
+	<dev-python/pyparsing-4[${PYTHON_USEDEP}]
+	>=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/requests[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=(
+	# https://src.fedoraproject.org/fork/salimma/rpms/python-rdflib/blob/d2fbf492897262350bd569f1566b97a54e092cd9/f/rdflib-py3_13-fix-pickler.diff
+	"${FILESDIR}/${PN}-7.1.0-py3_13-fix-pickler.diff"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	distutils-r1_python_prepare_all
+
+	# doctests require internet
+	sed -i -e '/doctest-modules/d' pyproject.toml || die
+
+	# we disable pytest-cov
+	sed -i -e 's@, no_cover: None@@' test/test_misc/test_plugins.py || die
+
+	# allow regular html5lib, html5rdf is a fork with minimal changes:
+	# removing six dep (which is kinda good) and bundling webencodings
+	# (which is horrible)
+	find -name '*.py' -exec sed -i -e 's:html5rdf:html5lib:g' {} + || die
+}
+
+python_test() {
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	epytest -m "not webtest"
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	if use examples; then
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}


             reply	other threads:[~2024-10-28 16:24 UTC|newest]

Thread overview: 95+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-28 16:24 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-01  9:54 [gentoo-commits] repo/gentoo:master commit in: dev-python/rdflib/ Arthur Zamarin
2025-01-18  7:20 Michał Górny
2025-01-10 20:43 Michał Górny
2024-11-16  8:38 Arthur Zamarin
2024-10-09  7:47 Michał Górny
2024-10-09  7:47 Michał Górny
2023-09-01 16:44 Michał Górny
2023-09-01 16:30 Arthur Zamarin
2023-08-02  6:05 Michał Górny
2023-04-22  9:16 Michał Górny
2023-04-22  9:04 Arthur Zamarin
2023-03-26 18:02 Michał Górny
2023-03-19 19:03 Michał Górny
2023-02-01 19:16 Michał Górny
2023-02-01 19:16 Michał Górny
2022-10-19 10:07 WANG Xuerui
2022-08-30 16:59 Arthur Zamarin
2022-08-30 16:43 Arthur Zamarin
2022-07-29 18:02 Michał Górny
2022-05-01 17:16 Arthur Zamarin
2022-05-01 17:09 Arthur Zamarin
2022-02-03 21:34 Michał Górny
2022-02-03 20:57 Arthur Zamarin
2022-01-10  6:08 Joshua Kinard
2021-12-31 16:53 Matt Turner
2021-12-20  6:16 Arthur Zamarin
2021-11-02 18:23 Sam James
2021-11-02 14:52 Sam James
2021-11-02  9:15 Agostino Sarubbo
2021-11-01 15:46 Sam James
2021-11-01 15:46 Sam James
2021-10-27  4:40 Arthur Zamarin
2021-10-27  4:13 Sam James
2021-10-26  3:14 Sam James
2021-10-24  4:51 Sam James
2021-10-24  4:50 Sam James
2021-10-24  4:50 Sam James
2021-10-24  1:15 Sam James
2021-10-11  7:56 Michał Górny
2021-10-10  2:20 Sam James
2021-10-10  0:09 Sam James
2021-10-10  0:05 Sam James
2021-10-04 22:58 Sam James
2021-09-22  2:34 Yixun Lan
2021-09-21 13:22 Arthur Zamarin
2021-08-24 21:02 Marek Szuba
2020-07-30 20:08 Sam James
2020-07-30 19:39 Sam James
2020-06-18 20:26 Michał Górny
2020-06-18 18:09 Michał Górny
2020-06-18 18:09 Michał Górny
2020-04-13 13:05 Sergei Trofimovich
2020-03-29  7:04 Michał Górny
2020-03-29  7:04 Michał Górny
2020-03-29  7:04 Michał Górny
2020-03-29  7:04 Michał Górny
2020-03-29  7:04 Michał Górny
2020-03-07 11:06 Agostino Sarubbo
2020-03-07 11:03 Agostino Sarubbo
2020-03-07 10:58 Agostino Sarubbo
2020-03-07 10:54 Agostino Sarubbo
2020-03-07 10:50 Agostino Sarubbo
2020-03-07  9:44 Agostino Sarubbo
2020-03-07  8:59 Agostino Sarubbo
2019-06-18 18:17 Sergei Trofimovich
2019-05-21 22:43 Aaron Bauman
2019-02-18 19:23 Alexis Ballier
2018-12-23  4:05 Matt Turner
2018-12-23  3:25 Matt Turner
2018-05-01 11:47 Jeroen Roovers
2018-03-21  5:55 Markus Meier
2017-12-28 14:03 Sergei Trofimovich
2017-12-28 12:29 Sergei Trofimovich
2017-12-27 20:06 Sergei Trofimovich
2017-12-06 22:34 Sergei Trofimovich
2017-12-02 20:55 Mike Gilbert
2017-11-30 20:19 Tobias Klausmann
2017-11-30 19:02 Thomas Deutschmann
2017-06-15 14:23 Anthony G. Basile
2017-05-15 13:15 Lars Wendler
2017-05-15  9:47 Lars Wendler
2017-02-24 18:05 Markus Meier
2017-01-24 11:46 Agostino Sarubbo
2017-01-23 16:27 Agostino Sarubbo
2017-01-22 20:10 Tobias Klausmann
2017-01-22 16:27 Agostino Sarubbo
2017-01-21 20:33 Agostino Sarubbo
2017-01-21 18:54 Agostino Sarubbo
2017-01-21 17:27 Agostino Sarubbo
2016-03-02 16:53 Patrick Lauer
2015-11-11 17:27 Justin Lecher
2015-10-14 16:07 Justin Lecher
2015-08-19 21:28 Mike Gilbert
2015-08-19 10:07 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1730132288.3c8af11f2acf45598ff000ae3ef8ce1bf01f93fa.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox